Package org.drinkless.tdlib

# Class TdApi.UpdateStakeDiceState

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateStakeDiceState

Enclosing class:
  `TdApi`

public static class TdApi.UpdateStakeDiceState extends TdApi.Update
The stake dice state has changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.StakeDiceState`
  `state`
  The new state.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateStakeDiceState()`
  The stake dice state has changed.
  `UpdateStakeDiceState(TdApi.StakeDiceState state)`
  The stake dice state has changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### state

    public TdApi.StakeDiceState state
    The new state. The state can be used only if it was received recently enough. Otherwise, a new state must be requested using getStakeDiceState.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateStakeDiceState

    public UpdateStakeDiceState()
    The stake dice state has changed.

  - ### UpdateStakeDiceState

    public UpdateStakeDiceState(TdApi.StakeDiceState state)
    The stake dice state has changed.
    Parameters:
      `state` - The new state. The state can be used only if it was received recently enough. Otherwise, a new state must be requested using getStakeDiceState.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR